Bug 199546 - Can't ether-wake after shutting down from 2.6.17
Can't ether-wake after shutting down from 2.6.17
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-20 05:58 EDT by Gary Benson
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-16 14:01:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gary Benson 2006-07-20 05:58:31 EDT
Description of problem:
If I shutdown while running 2.6.17 my network card powers off completely and
ether-wake cannot wake the box.  If I shutdown from 2.6.16 the card remains
powered up and ether-wake works fine.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.17-1.2139_FC5, kernel-smp-2.6.17-1.2145_FC5 and
kernel-smp-2.6.17-1.2157_FC5 all fail.  kernel-smp-2.6.16-1.2122_FC5 and
kernel-smp-2.6.16-1.2133_FC5 both work.

How reproducible:

Steps to Reproduce:
1. Boot a 2.6.17 kernel.
2. Shut down the box (from within GNOME or whatever)
3. Watch the link light on the switch.
Actual results:
The link light goes out at around the time the "shutting down interface eth0"
message is displayed. ether-wake cannot wake the box.

Expected results:
With 2.6.16 the link light remains on throughout the shutdown process.  It goes
out when the disks and fans power off, but comes back on after maybe a second.
ether-wake wakes the box as expected.

Additional info:
It's a Dell Precision 380 with a 3.4GHz Pentium D running an i686 kernel.
dmesg says the network card is "Tigon3 [partno(BCM5751PKFBG) rev 4001 PHY(5750)]
(PCI Express) 10/100/1000"
Comment 1 John W. Linville 2006-07-26 10:03:30 EDT
Would you mind trying the fedora-netdev kernels in order to ensure that this 
problem is still pending upstream?


Please give them a try and post the results here...thanks!
Comment 2 Gary Benson 2006-07-26 10:33:35 EDT
kernel-smp-2.6.17-1.2145.2.4_FC5.netdev.6 has the problem.
Comment 3 Michael Chan 2006-08-08 10:55:50 EDT
Did you do ethtool -s eth0 wol g?  The tg3 driver in 2.6.17 was changed to 
honor the ethtool WoL setting and override the NVRAM's setting.  If that 
works, you can set it up automatically in the ifcfg-eth0 script with 
Comment 4 Gary Benson 2006-08-16 07:48:02 EDT
Cool, that works (2.6.17-1.2174_FC5smp).

Note You need to log in before you can comment on or make changes to this bug.